\RequirePackage[l2tabu, orthodox]{nag}
\documentclass[12pt]{amsart}
\usepackage{fullpage,url,amssymb,enumerate,colonequals,pdfsync,float,mathtools,appendix,float,amsmath}
% \usepackage[all]{xy} % for commutative diagrams
%\usepackage{mathrsfs} % for \mathscr (script letters)


\usepackage{rotating}
\newcommand*{\isoarrow}[1]{\arrow[#1,"\rotatebox{90}{\(\sim\)}"]}


\usepackage{tikz-cd,graphicx}

\newcommand{\defi}[1]{\textsf{#1}} % for defined terms



\makeatletter
\g@addto@macro\bfseries{\boldmath} % This makes math in section titles bold.
\makeatother

\usepackage{microtype}

%%% \renewcommand{\baselinestretch}{3}   % for triple spacing

\usepackage[
%	draft,
%	colorlinks,
backref,
pdfauthor={Solomon}, % add other authors
%	pdftitle={Paper title goes here},
]{hyperref}
\usepackage[alphabetic,backrefs,lite,nobysame]{amsrefs} % for bibliography

\usepackage{color}


\usepackage[framemethod=tikz]{mdframed}

\newcommand{\isaac}[1]{{\color{magenta} \textsf{$\spadesuit\spadesuit\spadesuit$ isaac: [#1]}}}

\newcommand{\blue}[1]{{\color{blue} #1}}
\newcommand{\magenta}[1]{{\color{magenta} #1}}
\newcommand{\green}[1]{{\color{ForestGreen} #1}}

\numberwithin{figure}{section}


\title{STATS 302: Homework 1}
\author{Elchanan Solomon}
\date{\today}

\begin{document}

	
	\maketitle
	\thispagestyle{empty}
	
\begin{enumerate}
	\item ISLR 2.4(1,2,4,6,7), 5.4(1,2,3)
	\item (Code): You can uniformly generate vectors on the $n$-sphere $\mathbb{S}^n$ by generating $(n+1)$ values $X_1, \cdots, X_n$ i.i.d standard normal, and normalizing the vector $(X_1, \cdots, X_n)$. For each value of $n$ between $1$ and $20$, approximate the average angle between two randomly chosen vectors. How does this change with $n$?
	\item (Code): You can uniformly generate points in the $n$-cube $[0,1]^n$ by generating each coordinate uniformly in $[0,1]$. For each value of $n$ between $1$ and $20$, approximate the probability that such a vector has norm at most $1$ (and so sits inside the ball $B^n$). How does this change with $n$?
	\item (Code): A coin is flipped twenty times with the following sequence of heads and tails: HHTHHTTHTHTHTTHTHHHT. The ratio of heads to total flips is 11/20. Compute this ratio for $B=1000$ bootstrapped samples, and plot the results as a histogram. (It might be useful to represents H as 1 and T as 0). What do you observe about the variation of this statistic?
\end{enumerate}
	

\end{document}